#language: ru

@demo_base_milk
@mutual_settlements

Функционал: 003. mutual_settlements. Создание общих документов

Сценарий: 003.1. mutual_settlements. Создание заказа клиента Лента

	Дано Я подключаюсь под "Администратор"
	И Я начинаю создавать заказ клиента
	И в поле 'Дата' я ввожу текст '15.03.2021  0:00:00'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И из выпадающего списка с именем 'Подразделение' я выбираю по строке 'Бухгалтерия'
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Лента'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Лента'
	И из выпадающего списка с именем "ТочкаДоставки" я выбираю по строке 'Лента'
	И в поле 'Дата отгрузки' я ввожу текст '18.03.2021'
	И в поле 'Дата доставки' я ввожу текст '19.03.2021'
	И в поле 'Комментарий' я ввожу текст 'Заказ Лента 18.03.2021'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке с именем "СтраницаТовары"
	И я заполняю таблицу "Товары" данными
		| 'Количество'  | 'Номенклатура' | 'Цена, RUB' |
		| '150,000'     | 'Молоко 3,2 %' | '50,00'     |
		| '165,000'     | 'Кефир'        | '65,00'     |
		| '190,000'     | 'Творог'       | '120,00'    |
	И Я заканчиваю создавать заказ клиента

Сценарий: 003.2. mutual_settlements. Создание заказа клиента Табрис

	И Я начинаю создавать заказ клиента
	И в поле 'Дата' я ввожу текст '15.03.2021  0:00:00'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И из выпадающего списка с именем 'Подразделение' я выбираю по строке 'Бухгалтерия'
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Табрис'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Табрис'
	И из выпадающего списка с именем "ТочкаДоставки" я выбираю по строке 'Табрис'
	И в поле 'Дата отгрузки' я ввожу текст '18.03.2021'
	И в поле 'Дата доставки' я ввожу текст '19.03.2021'
	И в поле 'Комментарий' я ввожу текст 'Заказ Табрис 18.03.2021'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке с именем "СтраницаТовары"
	И я заполняю таблицу "Товары" данными
		| 'Количество'  | 'Номенклатура' | 'Цена, RUB' |
		| '180,000'     | 'Молоко 3,2 %' | '60,00'     |
		| '250,000'     | 'Кефир'        | '55,00'     |
		| '150,000'     | 'Творог'       | '110,00'    |
	И Я заканчиваю создавать заказ клиента

Сценарий: 003.3. mutual_settlements. Создание заказа клиента Перекресток

	И Я начинаю создавать заказ клиента
	И в поле 'Дата' я ввожу текст '15.03.2021  0:00:00'
	И из выпадающего списка с именем "Организация" я выбираю по строке 'Нижегородский МК'
	И из выпадающего списка с именем 'Подразделение' я выбираю по строке 'Бухгалтерия'
	И из выпадающего списка с именем "Холдинг" я выбираю по строке 'Перекресток'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Перекресток'
	И из выпадающего списка с именем "ТочкаДоставки" я выбираю по строке 'Перекресток'
	И в поле 'Дата отгрузки' я ввожу текст '18.03.2021'
	И в поле 'Дата доставки' я ввожу текст '19.03.2021'
	И в поле 'Комментарий' я ввожу текст 'Заказ Перекресток 18.03.2021'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке с именем "СтраницаТовары"
	И я заполняю таблицу "Товары" данными
		| 'Количество'  | 'Номенклатура' | 'Цена, RUB' |
		| '100,000'     | 'Молоко 3,2 %' | '65,00'     |
		| '150,000'     | 'Кефир'        | '75,00'     |
		| '100,000'     | 'Творог'       | '100,00'    |
	И Я заканчиваю создавать заказ клиента

Сценарий: 003.4. mutual_settlements. Создание реализации в точку доставки Лента 18.03.2021

	И Я начинаю создавать реализацию товаров на основании заказа "Заказ Лента 18.03.2021"
	И в поле с именем 'Дата' я ввожу текст '17.03.2021'
	И в поле 'Комментарий' я ввожу текст 'Реализация Лента 18.03.2021'
	И я перехожу к закладке с именем "СтраницаТовары"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Молоко 3,2 %"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Кефир"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Творог"
	И Я заканчиваю создавать реализацию товаров на основании заказа

Сценарий: 003.5. mutual_settlements. Создание реализации в точку доставки Табрис 18.03.2021

	И Я начинаю создавать реализацию товаров на основании заказа "Заказ Табрис 18.03.2021"
	И в поле с именем 'Дата' я ввожу текст '17.03.2021'
	И в поле 'Комментарий' я ввожу текст 'Реализация Табрис 18.03.2021'
	И я перехожу к закладке с именем "СтраницаТовары"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Молоко 3,2 %"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Кефир"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Творог"
	И Я заканчиваю создавать реализацию товаров на основании заказа

Сценарий: 003.6. mutual_settlements. Создание реализации в точку доставки Перекресток 18.03.2021

	И Я начинаю создавать реализацию товаров на основании заказа "Заказ Перекресток 18.03.2021"
	И в поле с именем 'Дата' я ввожу текст '17.03.2021'
	И в поле 'Комментарий' я ввожу текст 'Реализация Перекресток 18.03.2021'
	И я перехожу к закладке с именем "СтраницаТовары"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Молоко 3,2 %"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Кефир"
	И Я выбираю серию "000001 до 31.03.2021 0:00:00" для номенклатуры "Творог"
	И Я заканчиваю создавать реализацию товаров на основании заказа

Сценарий: 003.7. mutual_settlements. Создание корректировки на реализацию в точку доставки Перекресток 18.03.2021

	И Я начинаю создавать корректировку на основании реализации товаров "Реализация Перекресток 18.03.2021"
	И в поле с именем 'Дата' я ввожу текст '19.03.2021  0:00:00'
	И Я корректирую количество на "50,000" для номенклатуры "Молоко 3,2 %"
	И Я корректирую количество на "200,000" для номенклатуры "Кефир"
	И я перехожу к закладке с именем "СтраницаРасхождения"
	И в таблице "Расхождения" я нажимаю на кнопку с именем 'РасхожденияЗаполнитьРасхождения'
	И Я заканчиваю создание корректировки на основании реализации товаров

Сценарий: 003.8. mutual_settlements. Создание заявки на возврат по реализации в точку доставки Перекресток 18.03.2021

	И Я начинаю создавать заявку на возврат на основании реализации товаров "Реализация Перекресток 18.03.2021"
	И в поле с именем 'Дата' я ввожу текст '19.03.2021  0:00:00'
	И Я удаляю номенклатуру "Молоко 3,2 %" в таблице товаров
	И Я удаляю номенклатуру "Кефир" в таблице товаров
	И Я корректирую количество на "10,000" для номенклатуры "Творог"
	И в поле с именем 'Комментарий' я ввожу текст 'Заявка на возврат по Реализации Перекресток 18.03.2021'
	И Я заканчиваю создание заявки на возврат на основании реализации товаров

Сценарий: 003.9. mutual_settlements. Создание возврата по реализации в точку доставки Перекресток 18.03.2021

	И Я начинаю создавать возврат товаров на основании заявки на возврат "Заявка на возврат по Реализации Перекресток 18.03.2021"
	И в поле с именем 'Дата' я ввожу текст '20.03.2021  0:00:00'
	И Я выбираю причину возврата "Товар не подходит" для номенклатуры "Творог"
	И Я заканчиваю создавать возврат товаров на основании заявки на возврат